Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Tue, 14 Feb 2012 18:33:31 -0800

On Tue, Feb 14, 2012 at 04:54:37PM -0800, Dan Magenheimer wrote:
> > From: Greg KH [mailto:[email-masked]]
> > Subject: Re: linux-next: build failure after merge of the staging tree
> > 
> > > > Ok, now reverted, what a mess...
> > > >
> > > > greg k-h
> > >
> > > OK, I have just posted the ramster v5 patchset which applies against
> > > linux-3.2.  I've test-built it against linux-next... it only gets
> > > the normal minor merge conflicts for adding a line to
> > > drivers/staging/Makefile and Kconfig.
> > 
> > Please resend after fixing that conflict, as it would require me to edit
> > it by hand in order to apply this.  As you have already redone the
> > patch, there's no reason I should have to do this, right?
> 
> OK.  I'm not quite sure how to generate a patchset or a
> git commit-set that applies cleanly against two different
> trees (3.2 and linux-next), but I guess common sense should
> tell me that, since the patches have to go through staging-next
> first and you are applying patches rather than git-pull'ing,
> staging-next should be my preferred choice for a base.

Exactly, how could I apply them to two trees?  For that case, how can I
go back in time and apply them to 3.2?

> Do you want me to resend all 6 patches?  The only patch
> affected is patch 6 of 6.  All others apply cleanly.
> Let me know and I will resend one or all tomorrow.

All would be best, also please thread them properly, 'git send-email'
will do this for you, please use it.

greg k-h